<?php

App::uses('EvTeamAppController', 'EvTeam.Controller');

class DepartmentsController extends EvTeamAppController {

	protected function _adminFormFields()
	{
		$fields = parent::_adminFormFields();
		unset($fields['sequence']);
		return $fields;
	}

	public function beforeFilter() {

		parent::beforeFilter();

		$this->Auth->allow(array(
			'index',
			'view'
		));
	}

	public function index()
	{
		$this->redirect(
			array(
				'plugin' => 'ev_team',
				'controller' => 'team_members',
				'action' => 'index'
			)
		);
	}

	public function view($id)
	{

		$Model = $this->{$this->modelClass};

		$departments = $Model->getDepartments($id);

    	$this->Meta->set($departments['selected'], 'Department');

		$this->set('page', $departments['selected']);

        $this->set('departments', $departments['departments']);

        $this->set('team_members', $Model->TeamMember->getTeam($id));

        $this->view = '../TeamMembers/index';
	}


}